Package twisted :: Package conch :: Package ui :: Module ansi

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ui.ansi

Module to parse ANSI escape sequences

Maintainer: U(Jean-Paul Calderone <exarkun@twistedmatrix.com>

Classes
`AnsiParser` | Parser class for ANSI codes.
`ColorText` | Represents an element of text along with the texts colors and additional attributes.

Variable Summary
`string` | `r`
`dictionary` | `_setmap`
`string` | `_sets`

Variable Details

### r

  Type:
    `string`
  Value:

        'm'

### _setmap

  Type:
    `dictionary`
  Value:

        {'A': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'B': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'C': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'D': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'G': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'H': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'J': ('J', 'K', 'P'),
         'K': ('J', 'K', 'P'),
        ...

### _sets

  Type:
    `string`
  Value:

        'HfABCDRsudGJKPhlpm'

Generated by Epydoc 1.1 on Sat Feb 15 21:18:59 2003 | http://epydoc.sf.net